package cn.com.poc.writing.service;

import cn.com.poc.writing.query.AiWritingDialoguesRecordQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.writing.entity.BizAiWritingDialoguesRecordEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAiWritingDialoguesRecordService extends BaseService {

    BizAiWritingDialoguesRecordEntity get(java.lang.Long id) throws Exception;

    List<BizAiWritingDialoguesRecordEntity> findByExample(BizAiWritingDialoguesRecordEntity example, PagingInfo pagingInfo) throws Exception;

    BizAiWritingDialoguesRecordEntity save(BizAiWritingDialoguesRecordEntity entity) throws Exception;

    BizAiWritingDialoguesRecordEntity update(BizAiWritingDialoguesRecordEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<AiWritingDialoguesRecordQueryItem> getDialogueRecord(String dialogueId);

}